- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Namespace List
- Namespace Members

Classes | Functions

# Phonon::BackendCapabilities Namespace Reference

Collection of functions describing the capabilities of the Backend. More...

## Classes
class | Notifier
| Notifications about backend capabilities. More...
## Functions
PHONON_EXPORT Notifier * | notifier ()
| Use this function to get a QObject pointer to connect to one of the Notifier signals.
PHONON_EXPORT QStringList | availableMimeTypes ()
| Returns a list of mime types that the Backend can decode.
PHONON_EXPORT bool | isMimeTypeAvailable (const QString &mimeType)
| Often all you want to know is whether one given MIME type can be decoded by the backend.
PHONON_EXPORT QList < AudioOutputDevice > | availableAudioOutputDevices ()
| Returns the audio output devices the backend supports.
PHONON_EXPORT QList < AudioCaptureDevice > | availableAudioCaptureDevices ()
| Returns the audio capture devices the backend supports.
PHONON_EXPORT QList < EffectDescription > | availableAudioEffects ()
| Returns the video output devices the backend supports.

## Detailed Description

Collection of functions describing the capabilities of the Backend.

Author:
  Matthias Kretz <kretz@kde.org>

## Function Documentation

PHONON_EXPORT Notifier* Phonon::BackendCapabilities::notifier | ( |  | ) |

Search for all occurrences

Use this function to get a QObject pointer to connect to one of the Notifier signals.

Returns:
  a pointer to a QObject.

To connect to the signal do the following:

     QObject::connect(BackendCapabilities::notifier(), SIGNAL(capabilitiesChanged()), ...

See also:
  Notifier::capabilitiesChanged()
  Notifier::availableAudioOutputDevicesChanged()
  Notifier::availableAudioCaptureDevicesChanged()

PHONON_EXPORT QStringList Phonon::BackendCapabilities::availableMimeTypes | ( |  | ) |

Search for all occurrences

Returns a list of mime types that the Backend can decode.

See also:
  isMimeTypeAvailable()

PHONON_EXPORT bool Phonon::BackendCapabilities::isMimeTypeAvailable | ( | const QString & | mimeType | ) |

Search for all occurrences

Often all you want to know is whether one given MIME type can be decoded by the backend.

Use this method in favor of availableMimeTypes() as it can give you a negative answer without having a backend loaded.

See also:
  availableMimeTypes();

PHONON_EXPORT QList<AudioOutputDevice> Phonon::BackendCapabilities::availableAudioOutputDevices | ( |  | ) |

Search for all occurrences

Returns the audio output devices the backend supports.

Returns:
  A list of AudioOutputDevice objects that give a name and description for every supported audio output device.

PHONON_EXPORT QList<AudioCaptureDevice> Phonon::BackendCapabilities::availableAudioCaptureDevices | ( |  | ) |

Search for all occurrences

Returns the audio capture devices the backend supports.

Returns:
  A list of AudioCaptureDevice objects that give a name and description for every supported audio capture device.

PHONON_EXPORT QList<EffectDescription> Phonon::BackendCapabilities::availableAudioEffects | ( |  | ) |

Search for all occurrences

Returns the video output devices the backend supports.

Returns:
  A list of VideoOutputDevice objects that give a name and description for every supported video output device. Returns the video capture devices the backend supports.
  A list of VideoCaptureDevice objects that give a name and description for every supported video capture device. Returns the visualization effects the backend supports.
  A list of VisualizationEffect objects that give a name and description for every supported visualization effect. Returns descriptions for the audio effects the backend supports.
  A list of AudioEffectDescription objects that give a name and description for every supported audio effect.